# Binding from PUSH hook(infra-repository) to aardvark-deploy-trigger-template
apiVersion: triggers.tekton.dev/v1alpha1
kind: TriggerBinding
metadata:
  name: aardvark-deployer-trigger-binding
spec:
  params:
    - name: git-repo-url
      value: $(body.repository.git_http_url)
    - name: gitlab-repository-full-name
      value: $(body.project.path_with_namespace)
    - name: git-repo-name
      value: $(extensions.repository_name)
    - name: git-commit
      value: $(body.checkout_sha)
    - name: git-branch-name
      value: $(extensions.branch_name)
    - name: cluster-name
      value: test
---
# Template to call the deploy-pipeline.
apiVersion: triggers.tekton.dev/v1alpha1
kind: TriggerTemplate
metadata:
  name: aardvark-deployer-trigger-template
spec:
  params:
    - name: git-repo-url
      description: The git repository url
    - name: gitlab-repository-full-name
      description: |
        The GitLab repository full name, e.g.: arbetsformedlingen/devops/aardvark-demo
    - name: git-repo-name
      description: The name of the deployment to be created / patched
    - name: git-commit
      description: The git commit sha
    - name: git-branch-name
      description: The name of the branch
    - name: cluster-name
      description: Name of cluster pipeline run in
  resourcetemplates:
    - apiVersion: tekton.dev/v1beta1
      kind: PipelineRun
      metadata:
        generateName: $(tt.params.git-repo-name)-deploy-$(tt.params.git-commit)-
      spec:
        serviceAccountName: deploy-bot
        pipelineRef:
          name: aardvark-deployer-pipeline
        params:
          - name: git-url
            value: $(tt.params.git-repo-url)
          - name: gitlab-repository-full-name
            value: $(tt.params.gitlab-repository-full-name)
          - name: git-branch
            value: $(tt.params.git-branch-name)
          - name: git-commit
            value: $(tt.params.git-commit)
          - name: cluster-name
            value: $(tt.params.cluster-name)
        workspaces:
          - name: shared-workspace
            # This ensures we get a unique workspace on each build.
            volumeClaimTemplate:
              spec:
                accessModes:
                  - ReadWriteOnce
                resources:
                  requests:
                    storage: 500Mi
